/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/drivers/wintel32/video/smpeg/smpeg_video.hpp

*/

#ifndef SGX_SMPEG_VIDEO_HPP
#define SGX_SMPEG_VIDEO_HPP	1

class CSGXMovieSMPEG : public CVideo {
public:
	virtual tBOOL create(const sgxString &filename, const CMovieParameters &params=CMovieParameters());
	virtual ~CSGXMovieSMPEG();
       
	virtual tBOOL play();
	virtual void  pause();
	virtual void  unpause();
	virtual tBOOL isPlaying();
	virtual tBOOL isPaused();
	virtual void  seek(const tREAL32 time);
	virtual void  update(const tREAL32 telaps);
	virtual void  buildImage(CImageData &data);

private:
	CSGXMovieSMPEG() {}
	SMPEG			*m_pMpeg;
    SDL_Surface		*screen;

	friend class CVideoFormatManager_SMPEG;
};
	    
#endif /* SGX_SMPEG_VIDEO_HPP */
